'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = create;

var _constants = require('../util/constants');

var _createWrapperComponent = require('../util/create-wrapper-component');

var _createWrapperComponent2 = _interopRequireDefault(_createWrapperComponent);

var _screenSize = require('../util/screen-size');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function create(styles) {
  var Parent = (0, _createWrapperComponent2.default)({
    displayName: 'FlexParent',
    propTypes: (0, _screenSize.createScreenSizePropTypes)(_constants.FLEX_PARENT_CLASS_NAMES),
    mapPropsToClassNames: function mapPropsToClassNames(props) {
      return (0, _screenSize.createScreenSizeClassNamesFromProps)(_constants.FLEX_PARENT_CLASS_NAMES, props, styles);
    },
    mapPropsToStyle: function mapPropsToStyle() {
      return { display: 'flex' };
    },
    defaultComponentClass: 'div'
  });

  var Child = (0, _createWrapperComponent2.default)({
    displayName: 'FlexChild',
    propTypes: (0, _screenSize.createScreenSizePropTypes)(_constants.FLEX_CHILD_CLASS_NAMES),
    mapPropsToClassNames: function mapPropsToClassNames(props) {
      return (0, _screenSize.createScreenSizeClassNamesFromProps)(_constants.FLEX_CHILD_CLASS_NAMES, props, styles);
    },
    defaultComponentClass: 'div'
  });

  return { Parent: Parent, Child: Child };
}