'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _extends4 = require('babel-runtime/helpers/extends');

var _extends5 = _interopRequireDefault(_extends4);

exports.default = create;

var _react = require('react');

var _constants = require('../util/constants');

var _createWrapperComponent = require('../util/create-wrapper-component');

var _createWrapperComponent2 = _interopRequireDefault(_createWrapperComponent);

var _screenSize = require('../util/screen-size');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function create(styles) {
  var Row = (0, _createWrapperComponent2.default)({
    displayName: 'Row',
    propTypes: (0, _extends5.default)({}, (0, _screenSize.createScreenSizePropTypes)(_constants.GRID_ROW_CLASS_NAMES), {
      collapse: _react.PropTypes.bool,
      expanded: _react.PropTypes.bool
    }),
    mapPropsToClassNames: function mapPropsToClassNames(_ref) {
      var _extends2;

      var collapse = _ref.collapse;
      var expanded = _ref.expanded;
      var props = (0, _objectWithoutProperties3.default)(_ref, ['collapse', 'expanded']);
      return (0, _extends5.default)({}, (0, _screenSize.createScreenSizeClassNamesFromProps)(_constants.GRID_ROW_CLASS_NAMES, props, styles), (_extends2 = {}, (0, _defineProperty3.default)(_extends2, styles.row, true), (0, _defineProperty3.default)(_extends2, styles.collapse, collapse), (0, _defineProperty3.default)(_extends2, styles.expanded, expanded), _extends2));
    },
    defaultComponentClass: 'div'
  });

  var Column = (0, _createWrapperComponent2.default)({
    displayName: 'Column',
    propTypes: (0, _extends5.default)({}, (0, _screenSize.createScreenSizePropTypes)(_constants.GRID_COLUMN_CLASS_NAMES), {
      end: _react.PropTypes.bool
    }),
    mapPropsToClassNames: function mapPropsToClassNames(_ref2) {
      var _extends3;

      var end = _ref2.end;
      var props = (0, _objectWithoutProperties3.default)(_ref2, ['end']);
      return (0, _extends5.default)({}, (0, _screenSize.createScreenSizeClassNamesFromProps)(_constants.GRID_COLUMN_CLASS_NAMES, props, styles), (_extends3 = {}, (0, _defineProperty3.default)(_extends3, styles.column, true), (0, _defineProperty3.default)(_extends3, styles.end, end), _extends3));
    },
    defaultComponentClass: 'div'
  });

  return { Row: Row, Column: Column };
}